function mischmasch=T2H2_Kai_Fischer(MatrixA,MatrixB)
% function mischmasch=kompliziert(MatrixA,MatrixB)
% bekommt als Eingabeargumente Matrizen mit gleich vielen Elementen
% und gibt ihre Elemente in einer neuen Matrix als Mischmasch aus,
% das nach dem im Folgenden kommentierten Schema zustandekommt:

% Definieren der Zeilen- bzw. Spaltenanzahl der ersten Matrix ("MatrixA") 
% als Variablen "Arows" bzw "Acols".
[Arows,Acols]=size(MatrixA);

% Definieren der Zeilen- bzw. Spaltenanzahl der zweiten Matrix ("MatrixB")
% als Variablen "Brows" bzw. "Bcols".
[Brows,Bcols]=size(MatrixB);

% Der folgende Schritt weist der Gesamtanzahl der in den Matrizen 
% enthaltenen Elemente der Variable "elementnumber" zu.
elementnumber=Arows*Acols+Brows*Bcols;

% Nun werden die einzelnen Spalten der Matrizen jeweils als ein langer
% Spaltenvektor "Avec" bzw. "Bvec" untereinandergefgt.
Avec=MatrixA(:);
Bvec=MatrixB(:);

% Erzeugen eines nur Nullen enthaltenden Zeilenvektors "misch", dessen Lnge
% dem Wert von "elementnumber" entspricht.
misch=zeros(1,elementnumber);

% Abwechselndes Einsetzen der Elemente von "Avec" bzw. "Bvec" in "misch".
% Werte von "Avec" vom ersten bis vorletzten  Element von "misch", 
% Werte von "Bvec" vom zweiten bis letzten.
% (Haben die eingegebenen Matrizen nicht die gleiche Anzahl an Elementen
% gehabt, lsst sich "misch" nicht wie vorgegeben fllen,
% es erfolgt eine Fehlermeldung.)
misch(1:2:elementnumber-1)=Avec;
misch(2:2:elementnumber)=Bvec;

% Die ausgegebene Matrix "mischmasch" ist eine zweizeilige Matrix,
% bei der die erste Zeile aus der ersten Hlfte von "misch" besteht,
% die zweite aus der zweiten.
mischmasch=[misch(1:elementnumber/2);misch((elementnumber/2)+1:elementnumber)];
end
